Question about sourcekit-lsp

whenever I try to run sourcekit-lsp, I get the following error:

sourcekit-lsp[289756:8dff76c0] Could not determine host OS. Falling back to using '.so' as dynamic library extension

I installed sourcekit-lsp via my system configuration, setup using flakes, I’m not very familier with the nix system, so might be I’m doing something wrong. I doubt, is sourcekit-lsp even compatible with NixOS?
I appreciate any help, thankyou.